com.threerings.whirled.server

## Class SceneManager

- java.lang.Object
- - com.threerings.crowd.server.PlaceManager
  - - com.threerings.whirled.server.SceneManager

All Implemented Interfaces:
  com.threerings.crowd.chat.server.SpeakHandler.SpeakerValidator, com.threerings.presents.dobj.ChangeListener, com.threerings.presents.dobj.MessageListener

Direct Known Subclasses:
  SpotSceneManager

    public class SceneManager
    extends com.threerings.crowd.server.PlaceManager

The scene manager extends the place manager and takes care of basic scene services. Presently that is little more than registering the scene manager with the scene registry so that the manager can be looked up by scene id in addition to place object id.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.threerings.crowd.server.PlaceManager

`com.threerings.crowd.server.PlaceManager.DelegateOp, com.threerings.crowd.server.PlaceManager.MessageHandler`

### Constructor Summary

Constructors
Constructor and Description
`SceneManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.threerings.crowd.data.Place` `getLocation()`
`Scene` `getScene()` Returns the scene object (not the scene distributed object) being managed by this scene manager.
`SceneUpdate[]` `getUpdates(int fromVersion)` Returns `UpdateList.getUpdates(int)` for this scene's updates.
`boolean` `isPersistent()` Returns true if this scene stores data in the database, or false if it's instantiated anew with each server restart
`String` `where()`

### Methods inherited from class com.threerings.crowd.server.PlaceManager

`addDelegate, applyToDelegates, applyToOccupants, bodyWillEnter, bodyWillLeave, checkPermissions, getConfig, getPlaceObject, init, isValidSpeaker, messageReceived, ratifyBodyEntry, registerMessageHandler, shutdown, startup, toString, updateOccupantInfo`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SceneManager

    public SceneManager()

### Method Detail

#### getScene

    public Scene getScene()

Returns the scene object (not the scene distributed object) being managed by this scene manager.

#### getUpdates

    public SceneUpdate[] getUpdates(int fromVersion)

Returns `UpdateList.getUpdates(int)` for this scene's updates.

#### getLocation

    public com.threerings.crowd.data.Place getLocation()

Overrides:
  `getLocation` in class `com.threerings.crowd.server.PlaceManager`

#### isPersistent

    public boolean isPersistent()

Returns true if this scene stores data in the database, or false if it's instantiated anew with each server restart

#### where

    public String where()

Overrides:
  `where` in class `com.threerings.crowd.server.PlaceManager`